% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 11: Razonamiento Basado en Casos
% Autores: Ángela Ribeiro, Xavier P. Burgos Artizzu y Jesús M. Conesa Muñoz

% Función auxiliar
% Actualización de resultado final sobre imagen original
function [mh,res] = actualiza(original, filtrada)
    [f,c] = size(filtrada);
    ind1 = find(filtrada==1);
    x = size(ind1);
    mh = x(1);
    
    % WP
    %La Biomasa siempre se mide sobre una superficie de igual dimension
    %mientras que el area en la que se mide la mh final no, por lo que
    %debe rescalarse. En este caso al ser la Altura siempre igual, solo 
    %con respecto a las columnas.
    mh = mh/c;
    
    
    %Construcción imagen resultado sobre original
    r = original(:,:,1);
    r(ind1)=255;
    g = original(:,:,2);
    g(ind1)=0;
    b = original(:,:,3);
    b(ind1)=0;
    
    res = cat(3,r,g,b);